Bug 246041 - usb 5-8: unable to read config index 0 descriptor/all error on boot
usb 5-8: unable to read config index 0 descriptor/all error on boot
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Dave Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-27 20:43 EDT by Jay
Modified: 2015-01-04 17:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-09 10:29:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jay 2007-06-27 20:43:40 EDT
Description of problem:
at boot, log contains:

Jun 27 15:48:00 evoluation kernel: usb 5-8: unable to read config index 0
descriptor/all
Jun 27 15:48:00 evoluation kernel: usb 5-8: can't read configurations, error -71

Version-Release number of selected component (if applicable):
Fails with: Linux version 2.6.21-1.3228.fc7 
Does not with: Linux version 2.6.21-1.3194.fc7

How reproducible:
Reports failure every time

Steps to Reproduce:
1. Grub select 3228 to run (fail)
2. Grub select 3194 to run (pass)
3.
  
Actual results:


Expected results:


Additional info:

---------------- using 3228 ------------------------
Jun 27 15:48:00 b682P1 kernel: usbcore: registered new interface driver usbfs
Jun 27 15:48:00 b682P1 kernel: usbcore: registered new interface driver hub
Jun 27 15:48:00 b682P1 kernel: usbcore: registered new device driver usb
Jun 27 15:48:00 b682P1 kernel: usbcore: registered new interface driver libusual
Jun 27 15:48:00 b682P1 kernel: usbcore: registered new interface driver hiddev
Jun 27 15:48:00 b682P1 kernel: usbcore: registered new interface driver usbhid
Jun 27 15:48:00 b682P1 kernel: drivers/usb/input/hid-core.c: v2.6:USB HID core
driver
Jun 27 15:48:00 b682P1 kernel: usb usb1: configuration #1 chosen from 1 choice
Jun 27 15:48:00 b682P1 kernel: usb usb2: configuration #1 chosen from 1 choice
Jun 27 15:48:00 b682P1 kernel: usb usb3: configuration #1 chosen from 1 choice
Jun 27 15:48:00 b682P1 kernel: usb usb4: configuration #1 chosen from 1 choice
Jun 27 15:48:00 b682P1 kernel: usb 2-1: new low speed USB device using uhci_hcd
and address 2
Jun 27 15:48:00 b682P1 kernel: usb usb5: configuration #1 chosen from 1 choice
Jun 27 15:48:00 b682P1 kernel: usb 5-8: new high speed USB device using ehci_hcd
and address 3
Jun 27 15:48:00 b682P1 kernel: usb 5-8: unable to read config index 0 descriptor/all
Jun 27 15:48:00 b682P1 kernel: usb 5-8: can't read configurations, error -71
Jun 27 15:48:00 b682P1 kernel: usb 5-8: new high speed USB device using ehci_hcd
and address 4
Jun 27 15:48:00 b682P1 kernel: usb 5-8: configuration #1 chosen from 1 choice
Jun 27 15:48:00 b682P1 kernel: libusual: modprobe for usb-storage succeeded, but
module is not present
Jun 27 15:48:00 b682P1 kernel: usb 2-1: new low speed USB device using uhci_hcd
and address 3
Jun 27 15:48:00 b682P1 kernel: usb 2-1: configuration #1 chosen from 1 choice
Jun 27 15:48:00 b682P1 kernel: input: USB HID v1.00 Mouse [Microsoft Microsoft
IntelliMouse� Optical] on usb-0000:00:1d.1-1
-------------------- using 3194 follows ---------------------------
Jun 27 20:18:55 b682P1 kernel: usbcore: registered new interface driver usbfs
Jun 27 20:18:55 b682P1 kernel: usbcore: registered new interface driver hub
Jun 27 20:18:55 b682P1 kernel: usbcore: registered new device driver usb
Jun 27 20:18:55 b682P1 kernel: usbcore: registered new interface driver libusual
Jun 27 20:18:55 b682P1 kernel: usbcore: registered new interface driver hiddev
Jun 27 20:18:55 b682P1 kernel: usbcore: registered new interface driver usbhid
Jun 27 20:18:55 b682P1 kernel: drivers/usb/input/hid-core.c: v2.6:USB HID core
driver
Jun 27 20:18:55 b682P1 kernel: usb usb1: configuration #1 chosen from 1 choice
Jun 27 20:18:55 b682P1 kernel: usb usb2: configuration #1 chosen from 1 choice
Jun 27 20:18:55 b682P1 kernel: usb usb3: configuration #1 chosen from 1 choice
Jun 27 20:18:55 b682P1 kernel: usb usb4: configuration #1 chosen from 1 choice
Jun 27 20:18:55 b682P1 kernel: usb 2-1: new low speed USB device using uhci_hcd
and address 2
Jun 27 20:18:55 b682P1 kernel: usb usb5: configuration #1 chosen from 1 choice
Jun 27 20:18:55 b682P1 kernel: usb 5-8: new high speed USB device using ehci_hcd
and address 3
Jun 27 20:18:55 b682P1 kernel: usb 5-8: configuration #1 chosen from 1 choice
Jun 27 20:18:55 b682P1 kernel: libusual: modprobe for usb-storage succeeded, but
module is not present
Jun 27 20:18:56 b682P1 kernel: usb 2-1: new low speed USB device using uhci_hcd
and address 3
Jun 27 20:18:56 b682P1 kernel:  sdb:<6>usb 2-1: configuration #1 chosen from 1
choice
Jun 27 20:18:56 b682P1 kernel: input: USB HID v1.00 Mouse [Microsoft Microsoft
IntelliMouse� Optical] on usb-0000:00:1d.1-1
Comment 1 Jiri Moskovcak 2007-07-09 09:01:19 EDT
Package Change Request
======================
Package Name: usbutils
Updated Fedora Owners: jmoskovc@redhat.com
Comment 2 Christopher Brown 2007-09-17 14:37:37 EDT
Hello Jay,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.

Cheers
Chris
Comment 3 Christopher Brown 2008-01-09 10:29:25 EST
As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

Note You need to log in before you can comment on or make changes to this bug.